Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.util
Class BTreeSet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              org.apache.poi.hdf.model.util.BTreeSet

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

    public final class BTreeSet

extends java.util.AbstractSet

Nested Class Summary
`class` | `BTreeSet.BTreeNode`
`static class` | `BTreeSet.Entry`

Field Summary
`BTreeSet.BTreeNode` | `root`

Constructor Summary
`BTreeSet()`
`BTreeSet(java.util.Collection c)`
`BTreeSet(int order)`
`BTreeSet(int order, java.util.Comparator comparator)`

Method Summary
`boolean` | `add(java.lang.Object x)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object x)`
`static java.util.ArrayList` | `findProperties(int start, int end, BTreeSet.BTreeNode root)`
`java.util.Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object x)`
`int` | `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, isEmpty, retainAll, toArray, toArray`

Field Detail

### root

    public BTreeSet.BTreeNode root

Constructor Detail

### BTreeSet

    public BTreeSet()

### BTreeSet

    public BTreeSet(java.util.Collection c)

### BTreeSet

    public BTreeSet(int order)

### BTreeSet

    public BTreeSet(int order,
                    java.util.Comparator comparator)

Method Detail

### add

    public boolean add(java.lang.Object x)
                throws java.lang.IllegalArgumentException

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.Set`
  Overrides:
    `add` in class `java.util.AbstractCollection`
  Throws:
    `java.lang.IllegalArgumentException`

### contains

    public boolean contains(java.lang.Object x)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.Set`
  Overrides:
    `contains` in class `java.util.AbstractCollection`

### remove

    public boolean remove(java.lang.Object x)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.Set`
  Overrides:
    `remove` in class `java.util.AbstractCollection`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.Set`
  Overrides:
    `clear` in class `java.util.AbstractCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`

### findProperties

    public static java.util.ArrayList findProperties(int start,
                                                     int end,
                                                     BTreeSet.BTreeNode root)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD